define([AC_CACHE_LOAD], )dnl
define([AC_CACHE_SAVE], )dnl

AC_INIT(src/main.C)
AM_INIT_AUTOMAKE(gmorgan, 0.40)

AC_PROG_CXX
AC_PROG_CC
AC_PROG_MAKE_SET
AC_C_CONST
AC_C_INLINE
AC_STDC_HEADERS
AC_HEADER_STDC
AC_FUNC_SELECT_ARGTYPES
AC_CHECK_FUNCS([bzero memset select strdup])
AM_GNU_GETTEXT([external])
LIBS="`fltk-config --use-images --ldflags` -lasound"
CXXFLAGS="`fltk-config --use-images --cxxflags`"
AC_CHECK_HEADERS([unistd.h])
AC_CHECK_HEADER(alsa/asoundlib.h, true, AC_MSG_ERROR([Alsa is required]))
AC_PATH_PROG(FLTK_CONFIG, fltk-config, no)
if test "$FLTK_CONFIG" = "no"; then
  AC_MSG_ERROR(no fltk-config is found)
fi
AC_OUTPUT(Makefile src/Makefile data/Makefile data/skins/Makefile data/skins/Blue/Makefile po/Makefile.in m4/Makefile 
data/skins/Aluminium/Makefile data/skins/Aluminium2/Makefile data/help/Makefile
data/skins/DeskAlum/Makefile data/skins/Mini/Makefile data/skins/Blue2/Makefile)




